<?php
include_once("c_personal_person_docs.php");
class c_page_cab_personal_person_docs_new extends c_page_cab_personal_person_docs
{
  public $title='Создание нового документа' ;
  public $report_obj='' ;

  function get_cur_page_meta_tags(){}

  function block_main()
  { $this->page_title('Создание нового документа') ;
    if ($this->filter['doc_code']) $this->panel_generate_doc() ;
    else                           $this->panel_select_docs() ;
  }

 function panel_select_docs()
 {  //damp_array(ENGINE()->docs_list) ;
    ?><ul><?
    if (_sizeof(ENGINE()->docs_list)) foreach(ENGINE()->docs_list as $doc_code=>$rec_doc)
    {  $doc_obj=ENGINE()->get_report_obj_by_code($rec_doc) ;
       //echo '<strong>'.$doc_code.'</strong> => ' ; print_r($doc_obj) ;
       ?><li><a href="<?echo _CUR_PAGE_DIR?>[doc_code=<?echo $doc_code?>]/"><?echo $doc_obj->title?></a></li><?
    }
    ?></ul><?
 }

 function panel_generate_doc()
 { $filter=array('personal_id'=>$this->rec_personal['pkey']

                 ) ;

   $options=array('obj_reffer'=>'',
                  'report_seria'=>htmlspecialchars(MEMBER()->cur_group_name),
                  'pdf_options'=>''
                 ) ;

   $res=DOCS()->doc_create($this->filter['doc_code'],$filter,$options) ;
         //  damp_array($res,1,-1) ;

   if ($res['error']) {?><div class="alert"><?echo $res['error']?></div><?}
   else
   {

    REPORT()->panel_view_pdf_convert($res['result_convert']['cmd_uid'],_PATH_TO_SITE.'/cab/personal/person/'.$this->rec_personal['pkey'].'/docs/[doc_id='.$res['doc_id'].']/') ;
     //$rec_event=EVENTS()->get_event_by_id($_POST['filter']['event_id']) ;
     //$cnt_out=_sizeof($rec_event['_ext_info']['event_docs']) ;
     // сохраняем в событии имя файла PDF пакета документов - он после подписи будет показан и пойдет на печать
     //$rec_event_person=EVENTS()->get_event_personal_rec($_POST['filter']['event_id'],$_POST['filter']['personal_id']) ;
     //$data=array('fname'=>$res['result_convert']['PDF_file_name']) ;
     //if ($rec_event_person['status']<3) $data['status']=3 ;
     //update_rec_in_table('obj_site_events_pass',$data,'pkey='.$rec_event_person['pkey']) ;

     //$this->add_element('show_modal_window','HTML',array('width'=>'700','title'=>'Подготовка документа')) ;   // показываем модальное окно
   }
 }

}



?>
